/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(Drupal => {
  Drupal.behaviors.lbDefaultBlocksStatus = {
    attach(context) {
      context.querySelectorAll('input.form-checkbox[data-js-enable-filter]:not(.✅)').forEach(el => {
        el.classList.add('✅');
        const pluginId = el.dataset.jsEnableFilter;
        const tab = context.querySelector(`[data-js-configure-filter="${pluginId}"]`);
        const li = context.querySelector(`a[href="#${tab.id}"]`);

        const handleClick = () => {
          if (el.checked) {
            tab.classList.remove('visually-hidden');
            li.classList.remove('visually-hidden');
            tab.closest('.js-form-type-vertical-tabs').classList.remove('visually-hidden');
            return;
          }

          tab.classList.add('visually-hidden');
          li.classList.add('visually-hidden');

          if (context.querySelectorAll('input.form-checkbox[data-js-enable-filter][checked]').length === 0) {
            tab.closest('.js-form-type-vertical-tabs').classList.add('visually-hidden');
          }
        };

        el.addEventListener('click', handleClick);
        handleClick();
      });
    }

  };
})(Drupal);